1. We have added a Gift Upgrades feature that allows you to gift an account upgrade to another member, just in time for the holiday season. You can see the gift option when going to the Account Upgrades screen, or on any user profile screen.
    Dismiss Notice

Prehistoric+Enlighment+FW Compatibility Patch

Discussion in 'Civ5 - Mod Components' started by Siskin, Apr 16, 2017.

  1. Siskin

    Siskin Chieftain

    Joined:
    Apr 10, 2017
    Messages:
    26
    A small patch to make Prehistoric Era Reborn, Enlightenment Era and Future Worlds play nice with each other.

    Want to help with timeline tunning? As you play, make a note of the current turn every time you advance an age and post here. Also mention the game speed (quick, standard, epic, marathon).

    Incompatible:
    - Any mods that add or remove Eras and/or change Era description or properties. (unless specifically marked by their author as compatible)
    - Any mods that are incompatible with Prehistoric Era Reborn, or Enlightenment Era or Future Worlds

    Likely compatible:
    - Future updates of Prehistoric Era Reborn
    - Future updates of Enlightenment Era
    - Future updates of Future Worlds

    Compatible:
    - Enlightenment Era v6
    - Prehistoric Era Reborn v22
    - Future Worlds v6
    - Any mods that are individually compatible with Prehistoric Era Reborn, Enlightenment Era and Future Worlds, are also compatible with this patch unless listed as Incompatible above.

    Installation:
    Unzip in your MODS folder then activate the patch in the Mods menu in-game.

    Special notes:
    V4 not compatible with old saves. Requires fresh start.

    Change Log:
    Spoiler :

    V4
    - Added support for custom nations
    - reduced tech price in prehistoric era to make it a little shorter.
    - Fixed research price for all speeds
    - Added bronze work as ObsoleteTech to Savage and Female savage (bringing them in line with caveman) which previously never became obsolete.
    - More tunning of timescale (still requires work)
    - Attempt to fix possible CTD on game start.

    V3
    - Tunning of timescale (still requires work)

    v2
    - Fixed an issue with saved games.
     

    Attached Files:

    Last edited: May 6, 2017
  2. YINGCHENG

    YINGCHENG Warlord

    Joined:
    Oct 25, 2016
    Messages:
    136
    Gender:
    Male
    Location:
    Vancouver BC, Canada
    Does it fix the issue? I thought the key problem relies on how to make prehistoric reborn mods compatible with the enlightenment era. So i guess there is something we need to work on to prehistoric reborn mod instead of future worlds. I am sure that future worlds is compatible with the enlightenment era right now but not working when I try to add prehistoric reborn.
    However, I am not familiar with modding at all so I guess I may need your instruction in detail if you solve the compatible issues among these three mods. : )
     
  3. Siskin

    Siskin Chieftain

    Joined:
    Apr 10, 2017
    Messages:
    26
    Curently I succesfully made prehistoric reborn compatible with enlightenment era, it was just a matter of fixing the eras table and the text keys.

    Atm I'm working on adding compatibility with Future Worlds, it seems to fail some inserts without any error messages. Will post once it's fixed.

    Once I'm done, it will hopefully be just a matter of activating this patch in the mods list and that's it, they're all compatible.
     
  4. YINGCHENG

    YINGCHENG Warlord

    Joined:
    Oct 25, 2016
    Messages:
    136
    Gender:
    Male
    Location:
    Vancouver BC, Canada
    oh great! I am so glad to hear that! I am looking forward to seeing your patch, and thanks in advance for your efforts!
     
  5. Siskin

    Siskin Chieftain

    Joined:
    Apr 10, 2017
    Messages:
    26
    Patch done, uploaded zip.
     
  6. Lifariz

    Lifariz Chieftain

    Joined:
    Oct 8, 2016
    Messages:
    49
    Gender:
    Male
    Now only if this is merged and balanced with VP, we can be a step closer to perfection.

    P.S. I'm sure there would be mods that will be and not will be compatible with this. Mind going over on what submods we can safely place with this?
     
  7. Siskin

    Siskin Chieftain

    Joined:
    Apr 10, 2017
    Messages:
    26
    Edited main post to clarify compatibility.
     
  8. YINGCHENG

    YINGCHENG Warlord

    Joined:
    Oct 25, 2016
    Messages:
    136
    Gender:
    Male
    Location:
    Vancouver BC, Canada
    hi siskin, you might think I am too greedy, but I want to ask one more question about your patch.

    does this patch compatible with CP and Putmalk's civ 4 diplomacy mod? Please clarity if possible.

    Again, thank you very much for your contribution!
     
  9. Versil

    Versil Chieftain

    Joined:
    Oct 27, 2015
    Messages:
    18
    This is great! Tnx mate.
     
  10. Siskin

    Siskin Chieftain

    Joined:
    Apr 10, 2017
    Messages:
    26
    The patch only touches the definition of eras. So as far as the patch itself goes, it's 100% compatible with anything that doesn't change eras. So the real question is, are prehistoric era reborn, enlightenment era and future words, all compatible with those?

    My guesses (emphasise it's a guess, not sure) is that:

    civ 4 diplomacy: 100% compatible
    Community Patch: 100% compatible

    Community Balance Overhaul: ??% compatible.
    Depends on what it changes, I didn't look over it's code. The rebalancing part might clash with one or more of the 3 mods this patch fixes.
    Best case scenario: 100% compatible
    So so scenario: some balancing might be off, but otherwise all working.
    Worst case scenario: the balance overhaul will screw up the tech tree completely.
     
  11. YINGCHENG

    YINGCHENG Warlord

    Joined:
    Oct 25, 2016
    Messages:
    136
    Gender:
    Male
    Location:
    Vancouver BC, Canada
    thanks for your reply. I will test and see what happens. : )
     
  12. Siskin

    Siskin Chieftain

    Joined:
    Apr 10, 2017
    Messages:
    26
    updated to V3.
     
  13. YINGCHENG

    YINGCHENG Warlord

    Joined:
    Oct 25, 2016
    Messages:
    136
    Gender:
    Male
    Location:
    Vancouver BC, Canada
    I actually tested the patch today. Here are the following mods I am using now:
    Community patch v.88 (auto-downloaded version "VP")
    C4DF (auto-downloaded version "VP")
    Enlightenment era (latest version I believe)
    Prehistoric reborn (latest version as well)
    Future worlds(latest version)
    Siskin's prehistoric reborn+enlightenment era+future worlds compatible patch (version 2)
    Nutty's ethnic diversity
    More luxuries (Version 155)
    Coloured religion
    Notice: I did not play the game with EUI because I encountered CTDs when I enabled it.

    The game seems fine with those mods altogether, despite some balance issues (I guess I have to set the game as the "Quick" pace, otherwise I won't enter the classical era in 6 hours). and interface problem (production icons are not shown sometimes), I have not encountered any CTD. Right now I am possessing 8 cities. The game moves to the medieval era.

    So far, it seems work altogether.

    I don't know if v. 3 solve the balance issue. My experience is that at the beginning of the game, the tech goes REALLY slow if I choose any speed other than quick speed. Unfortunately, in a quick pace game, I thought once I got enough pops and cities (let'a say 8 cities with more than 40 pops) , the cities could construct every buildings in 2-3 turns. The game becomes REALLY quick later on. So I have mixed feeling about this. But so far so good. Minnor issues are bearable.

    I want to give my personal compliment for this patch. It gives me the chance to play all three era mods together. Great job!

    I do hope in case if you have time, please test it with other mod packs, projects and see if there is a problem. I am also willing to run a game and contribute myself a little bit by sharing my experiences.
     
  14. Siskin

    Siskin Chieftain

    Joined:
    Apr 10, 2017
    Messages:
    26
    That's a compatibility issue somewhere in your mod list. I use EUI with no problems.

    Yes, enlightenment era production costs are not designed with the bonus production from prehistoric era, and future worlds production costs are not designed with the bonuses from prehistoric and enlightenment eras.
    This would be fixable by overwriting the costs, but that is guaranteed to all but kill compatibility with future versions of those mods. Then I'd have to match each mod update with a patch update to take the new changes into account.

    I haven't seen any, though I didn't get past upgraded archers tech lvl yet since I kept having to restart after fixing some new problem that arose (like the game date).
    Is it consistently the same icons (and if so, which), or is it lottery on which icons are not correctly shown at any given time ?


    Unfortunately I don't have time to test various mod combinations just for the sake of testing. My time is limited and my goal is to have a satisfying Civ 5 experience. I made the patch for that reason, and decided to make it public since I figured I'm not the only one who wants that ;)

    What I can do is share my current mod list. In the limited play-through that I have done, I found no problems whatsoever. UI works like a charm. No missing icons. No CTDs.
    Spoiler :

    EUI
    Buildings - Goldsmith (v4)
    Caravansary Trade Routes (v4)
    Communitas Map (v1)
    Diplomacy - Auto-Denounce (v1)
    DLL - Various Mod Components (v88)
    Enlightenment Era (v6)
    Future Worlds (v6)
    Global - City Working Distance (v7)
    Global - Grateful Settlers (v4)
    Global - No Followup from Cities (v4)
    Global - Pro-rata Buildings Purchase (v2)
    Global - Raze Major Capitals (v2)
    Global - Religious Settlers (v1)
    Global - Truly Free Great People (v1)
    Goody Huts - No Maps (v2)
    Improvement - Pontoon Bridge (v3)
    Improvement - Tunnel (v5)
    Less Warmonger Hate (v10)
    MC and GE's Romania (v3) (with a personal edit to change the starting tech to fit prehistoric era)
    Music Changer (v2) (with a few pixels offset to fit EUI better)
    Prehistoric Era Reborn (v22)
    Prehistoric, Enlightenment, and Future Worlds Compatibility Patch (v3)
    Promotions - All Siege Units Indirect Fire (v2)
    Reforestation (v8)
    Tech - Satellites Reveal Cities (v10)
    The No More Civilian Traffic Jam Mod (v1)
    UI - Diary (v21)
    UI - Trade Opportunities (v28)
    Units - Visible Trade Units (v1)
     
  15. YINGCHENG

    YINGCHENG Warlord

    Joined:
    Oct 25, 2016
    Messages:
    136
    Gender:
    Male
    Location:
    Vancouver BC, Canada
    Thanks for your reply. Again, I appreciate for your works.

    Glad to hear that i could use EUI, cause I did encounter CTD when I use your Version 1 patch. however I do not know what it was caused by. I will start a new game and test again. If I grab Sth new, I will let you know.


    The interface problem

    Well, I am not sure right now. It seems that after I enter the medieval era, the icon functions well again. I will start a new game and if I see this problem consistently pop out in my game. I will take a pic and show it to you. Hopefully my experience will do sth good for you as well.

    Thanks for sharing me your mods. I am just glad that you would like to create and Share this patch public. Many of us, like me, get this patch without any contribution. I just want to give your some information back and hopefully my infor may help you a tiny littble bit and let you enjoy the game as well. All I want to do is showing my gratitude. I could not expect more than that. : )

    Again, thanks for your patch and kindly response.
     
  16. NikMuazHakim

    NikMuazHakim Warlord

    Joined:
    Feb 25, 2017
    Messages:
    257
    Gender:
    Male
    Location:
    Malaysia
    Hi,
    Glad to find this page. Thank you Yingcheng for leading me here!
    I'm gonna test with CBO now.
     
  17. YINGCHENG

    YINGCHENG Warlord

    Joined:
    Oct 25, 2016
    Messages:
    136
    Gender:
    Male
    Location:
    Vancouver BC, Canada
    @NikMuazHakim I am glad you are interested.

    Please post your experience and tell us if the patch works with CBO. Thank you in advance.
     
    NikMuazHakim likes this.
  18. NikMuazHakim

    NikMuazHakim Warlord

    Joined:
    Feb 25, 2017
    Messages:
    257
    Gender:
    Male
    Location:
    Malaysia
    YINGCHENG likes this.
  19. Siskin

    Siskin Chieftain

    Joined:
    Apr 10, 2017
    Messages:
    26

    Yes, I guess CBO also changes technologies in a way that is incompatible with... at a glance, looks like enlightenment era and future worlds. The compatibility patch itself does it's job as can be seen in the picture (you can actually open the tech tree and the eras are all in their right place).

    The only way for this to work, would be for the authors of enlightenment era and future worlds to make sure their mods are compatible with CBO. That involves changes that are outside the scope of this patch.

    On a side note, I'm working on v4, trying to balance things a bit (starting with making the prehistoric era a little shorter), and adding support for any and all custom nations.
     
    YINGCHENG and NikMuazHakim like this.
  20. TimurB

    TimurB Chieftain

    Joined:
    Apr 13, 2016
    Messages:
    76
    Gender:
    Male
    Location:
    Atlantis
    Serious problem.
    My game crashed when ever i copied this mod into the MODS folder (i was doing it when the game was in main menu).
    Even if i copied the mod before started the game, the game crashed just before entered the main menu.
    I got no problem with the other mods.
     

Share This Page